import REST from '../../api/rest-axios';

export async function findContentByPath(contentTypes, path) {
    for (let type of contentTypes) {
        const response = await REST.get(`/jsonapi/node/${type}/`);
        
        const content = response.data.data.find(content => 
            content.attributes.metatag.some(tag => 
                tag.tag === "link" && tag.attributes.href === path
            )
        );
    
        if (content) {            
            return {
                contentType: content.type === 'node--ressource' ? 'ressourceItem' : type,
                rawContent: content,
            };
        }
        
        // Handle special case for gouvernance, ressources, partenaires (multiple items per page)
        let pageRequested = window.location.href.split('/').pop().replace(/s?$/, '');
        if (type === pageRequested
            || (type === 'gouvernance' && pageRequested === 'contact')
        ) {
            return {
                contentType: type,
                rawContent: response.data.data,
            };
        }
    }
    return null;
}